<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TasksCS.ascx.cs" Inherits="AJAX_Examples_Common_LoadingUserControls_TasksCS" %>
<%@ Reference Page="~/DefaultCS.aspx" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<telerik:RadScriptBlock runat="server" ID="RadCodeBlock1">

    <script type="text/javascript">
        function GridCreated(sender, args) {
            alert("<%= DataGrid1.ClientID %>");
        }
    </script>

</telerik:RadScriptBlock>
<telerik:RadGrid ID="DataGrid1" Border="0" runat="server" Width="282px" AutoGenerateColumns="False"
    CssClass="callBackDataGrid">
    <MasterTableView>
        <Columns>
            <telerik:GridTemplateColumn>
                <HeaderTemplate>
                    Task Name
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label runat="server" ID="Label1" Text='<%#DataBinder.Eval(Container.DataItem, "TaskName")%>'></asp:Label>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn>
                <HeaderTemplate>
                    Complete
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:CheckBox runat="server" ID="CheckBox1" Checked='<%# DataBinder.Eval(Container.DataItem, "Status")%>'>
                    </asp:CheckBox>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn>
                <HeaderTemplate>
                    Delete
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:ImageButton runat="server" ID="ImageButton1" AlternateText="Delete Task" ImageUrl="Images/delete.gif"
                        CommandName="Delete" CssClass="deleteButton"></asp:ImageButton>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
        </Columns>
    </MasterTableView>
    <ClientSettings>
        <ClientEvents OnGridCreated="GridCreated" />
    </ClientSettings>
</telerik:RadGrid>
<table cellpadding="2" cellspacing="0" style="position: relative; top: 50px;">
    <tr>
        <td colspan="2">
            <asp:Label ID="Label2" runat="server">Add new task:</asp:Label>
        </td>
    </tr>
    <tr>
        <td>
            <asp:TextBox ID="TextBox1" runat="server" CssClass="inputText" Style="margin: 0px;">
            </asp:TextBox>
        </td>
        <td>
            <asp:Button ID="Button1" runat="server" Text="Add" Title="Add new task" CssClass="exampleButton"
                Style="margin: 0px;" OnClick="Button1_Click"></asp:Button>
        </td>
    </tr>
</table>
